TrieDoubleField (Solr 3.6.2 API)
Keywords: org.apache.solr.schema.TrieDoubleField class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.solr.schema
Class TrieDoubleField

    java.lang.Object
      org.apache.solr.schema.FieldProperties
          org.apache.solr.schema.FieldType
              org.apache.solr.schema.PrimitiveFieldType
                  org.apache.solr.schema.TrieField
                      org.apache.solr.schema.TrieDoubleField

    public class TrieDoubleField

extends TrieField

A numeric field that can contain double-precision 64-bit IEEE 754 floating point values.

- Min Value Allowed: 4.9E-324
- Max Value Allowed: 1.7976931348623157E308

NOTE: The behavior of this class when given values of `Double.NaN`, `Double.NEGATIVE_INFINITY`, or `Double.POSITIVE_INFINITY` is undefined.

See Also:
  `Double`, Java Language Specification, s4.2.3

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.solr.schema.TrieField
`TrieField.TrieTypes`

Nested classes/interfaces inherited from class org.apache.solr.schema.FieldType
`FieldType.DefaultAnalyzer`

Field Summary

Fields inherited from class org.apache.solr.schema.TrieField
`DEFAULT_PRECISION_STEP, missingValue, precisionStep, precisionStepArg, type`

Fields inherited from class org.apache.solr.schema.FieldType
`analyzer, args, falseProperties, log, POLY_FIELD_SEPARATOR, queryAnalyzer, trueProperties, typeName`

Fields inherited from class org.apache.solr.schema.FieldProperties
`BINARY, INDEXED, MULTIVALUED, OMIT_NORMS, OMIT_POSITIONS, OMIT_TF_POSITIONS, REQUIRED, SORT_MISSING_FIRST, SORT_MISSING_LAST, STORE_TERMOFFSETS, STORE_TERMPOSITIONS, STORE_TERMVECTORS, STORED, TOKENIZED`

Constructor Summary
`TrieDoubleField()`

Method Summary

Methods inherited from class org.apache.solr.schema.TrieField
`createField, getMainValuePrefix, getPrecisionStep, getRangeQuery, getSortField, getType, getValueSource, indexedToReadable, init, isTokenized, multiValuedFieldCache, readableToIndexed, storedToIndexed, storedToReadable, toExternal, toInternal, toObject, write, write`

Methods inherited from class org.apache.solr.schema.FieldType
`createField, createFields, getAnalyzer, getArg, getFieldIndex, getFieldQuery, getFieldStore, getFieldTermVec, getIndexOptions, getQueryAnalyzer, getStringSort, getTypeName, getValueSource, hasProperty, isMultiValued, isPolyField, restrictProps, setAnalyzer, setQueryAnalyzer, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TrieDoubleField

    public TrieDoubleField()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD